> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-6/v6-3/v6-3-0.md).

# Version 6.3.0 Changelog (2020-05-06)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## New

* Added support for [rich text content inside FreeText annotations](/web/annotation/rich-text.md). Different text colors and styles (e.g. bold, italic) can be applied to different parts of the text.
* Added a [date picker widget](https://sdk.apryse.com/api/web/Core.Annotations.DatePickerWidgetAnnotation.html) that appears when editing a text input that expects a date
* Added a [mentions API](/web/collaboration/mentions-api.md) to instance. The API can be used to show usernames when @ is entered in textareas in the notes panel
* Added support for displaying all line annotation endings (e.g. closed arrow, diamond)
* Added a [Document.getFileSize](https://sdk.apryse.com/api/web/Core.Document.html#getFileSize__anchor) API which gets the size of the currently loaded file
* Added the `enableViewStateAnnotations` constructor option which adds a tool to create sticky note annotations that store the current viewer state when added. When the annotation is double clicked the viewer state is restored.
* Updated behavior so that when pages are moved or removed links will still point to the correct page
* Updated custom annotation sample to use the triangle annotation
* Updated moment.js to the latest version
* Updated [insertPages API](https://sdk.apryse.com/api/web/Core.Document.html#insertPages__anchor) where now the pageArray, insertBeforeThisPage are optional
* Updated diff sample to sync up page numbers when not in alignment mode
* Improved the download speed when downloading a document with many pages

## Fixes

* Fixed issue where applying a redaction could delete other annotations even if they weren't overlapping
* Fixed issue where signatures will shift horizontally after being added to the document if the document has a default rotation of 90 or 270
* Fixed issue where the annotation selection rectangle was offset when creating a custom UI
* Fixed issue where in some cases embedded JS didn't set radio button values correctly
* Fixed issue where the commitOnSelChange flag wasn't able to be updated by embedded JS
* Fixed issue with undo/redo of annotation grouping not working
* Fixed issue with getting the latest annotation state if there was a reply after the last state change
* Fixed error that sometimes occurs when pages are moved in single page mode
* Fixed issue where freehand annotations stop drawing while a document is loading
* Fixed highlight issue with blend mode on some rotated documents
* Fixed issues with serializing border styles
* Fixed issue where fetching a PDF document with the `useDownloader: false` option will output a warning message in the console
* Fixed issue where file attachment data wasn't available yet in the annotationChanged event
* Fixed issue where text couldn't be deleted in Firefox when a tool is selected
* Fixed issue where holding shift for the line create tool does not work
* Fixed issue where current page number is sometimes not set properly when scrolling through pages at small zoom levels
* Fixed issue where single click on the document using the distance measurement tool when snap mode is enabled will create an invisible annotation with NaN distance
* Fixed issue where eraser tool will erase form fields
* Fixed issue with display of diff sample overlay when in alignment mode
* Fixed issue where random\_device was logged in the console in IE and Edge
* Fixed issue where sometimes the popup isn't placed in the visible region when an annotation is selected.
* Fixed issue where the distance of the line annotation isn't the same as the value entered in the calibration modal
* Fixed issue where tooltip for customElement header objects isn't showing even if the title property is present
* Fixed issue where pressing up or down keys while typing in a focusable element would result in a page scroll


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-6/v6-3/v6-3-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
